Bug 16838 - Elasticsearch - mapping tables are not populated on new installs
Summary: Elasticsearch - mapping tables are not populated on new installs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: Oldversions
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12478
Blocks: 17372
  Show dependency treegraph
 
Reported: 2016-07-01 15:21 UTC by Jonathan Druart
Modified: 2018-12-16 19:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16838: ES - install mappings for new installs (4.97 KB, patch)
2016-09-29 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16838: ES - install mappings for new installs (5.02 KB, patch)
2016-09-29 14:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16838: ES - install mappings for new installs (5.08 KB, patch)
2016-10-11 08:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-07-01 15:21:17 UTC
The yaml file is not used to populate ES mapping tables (search_field, search_marc_map and search_marc_to_field) when doing a fresh install.
Comment 1 Jonathan Druart 2016-09-29 09:22:16 UTC
Created attachment 55909 [details] [review]
Bug 16838: ES - install mappings for new installs

The yaml file is not used to populate ES mapping tables (search_field,
search_marc_map and search_marc_to_field) when doing a fresh install.

We need to insert them, otherwise ES will be unusable.

Test plan:
Create a new install and confirm that the ES tables (search_field,
search_marc_map and search_marc_to_field) are correctly populated.

Bonus points: Use an older DB (prior to 3.23.00.050), execute the
updatedatabase.pl script and confirm that the ES table are correctly
populated
Comment 2 Nick Clemens 2016-09-29 14:24:34 UTC
Created attachment 55929 [details] [review]
Bug 16838: ES - install mappings for new installs

The yaml file is not used to populate ES mapping tables (search_field,
search_marc_map and search_marc_to_field) when doing a fresh install.

We need to insert them, otherwise ES will be unusable.

Test plan:
Create a new install and confirm that the ES tables (search_field,
search_marc_map and search_marc_to_field) are correctly populated.

Bonus points: Use an older DB (prior to 3.23.00.050), execute the
updatedatabase.pl script and confirm that the ES table are correctly
populated

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Nick Clemens 2016-09-29 14:24:59 UTC
Corrected meppings to mappings and upgrade of db worked
Comment 4 Jonathan Druart 2016-09-29 14:37:12 UTC
(In reply to Nick Clemens from comment #3)
> Corrected meppings to mappings and upgrade of db worked

I did it! But the patch is not here, so it might have been submitted on another bug :-/
Comment 5 Jonathan Druart 2016-09-29 14:38:46 UTC
(In reply to Jonathan Druart from comment #4)
> (In reply to Nick Clemens from comment #3)
> > Corrected meppings to mappings and upgrade of db worked
> 
> I did it! But the patch is not here, so it might have been submitted on
> another bug :-/

Erk it was on bug 17372.
Comment 6 Kyle M Hall 2016-10-11 08:22:56 UTC
Created attachment 56135 [details] [review]
Bug 16838: ES - install mappings for new installs

The yaml file is not used to populate ES mapping tables (search_field,
search_marc_map and search_marc_to_field) when doing a fresh install.

We need to insert them, otherwise ES will be unusable.

Test plan:
Create a new install and confirm that the ES tables (search_field,
search_marc_map and search_marc_to_field) are correctly populated.

Bonus points: Use an older DB (prior to 3.23.00.050), execute the
updatedatabase.pl script and confirm that the ES table are correctly
populated

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Brendan Gallagher 2016-10-12 07:48:57 UTC
Pushed to Master - Should be in the November 16.11 release.  Thanks!
Comment 8 Frédéric Demians 2016-10-22 11:41:36 UTC
Pushed in 16.05. Will be in 16.05.05.